classification
Title: Build issues in DragonFly BSD
Type: compile error Stage: patch review
Components: Build Versions: Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, brian.curtin, hasso
Priority: normal Keywords: patch

Created on 2008-05-09 07:07 by hasso, last changed 2010-07-25 08:41 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
dragonfly-python25.patch hasso, 2008-05-09 07:07 The patch to fix the problems
dragonfly-python24.patch hasso, 2008-05-09 07:13 The patch applicable to the release24-maint branch
dragonfly-python-trunk.patch brian.curtin, 2010-01-12 03:51 patch copied from issue2797
Messages (4)
msg66457 - (view) Author: Hasso Tepper (hasso) Date: 2008-05-09 07:07
The attached patch fixes obvious problems with build in DragonFly BSD 
platform.

Modules/socketmodule.c part adds NetBSD to the blacklist as well - 
both OS'es use the same Bluetooth stack. Although the code seems to 
have support for NetBSD stack, the code is stub and it doesn't build.
msg97413 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-08 14:49
Can you confirm that this is still an issue on a version >= 2.6?
msg110632 - (view) Author: Mark Lawrence (BreamoreBoy) Date: 2010-07-18 11:11
I suggest that this is closed if we do not get an answer to Brian's question.
msg111524 - (view) Author: Mark Lawrence (BreamoreBoy) Date: 2010-07-25 08:41
Closing as no response to msg97413 or msg110632.
History
Date User Action Args
2010-07-25 08:41:01BreamoreBoysetstatus: pending -> closed

messages: + msg111524
2010-07-18 11:11:55BreamoreBoysetstatus: open -> pending
nosy: + BreamoreBoy
messages: + msg110632

2010-01-14 02:43:02brian.curtinsetpriority: normal
stage: patch review
2010-01-12 03:51:54brian.curtinsetfiles: + dragonfly-python-trunk.patch
2010-01-12 03:33:51brian.curtinlinkissue2797 superseder
2010-01-08 14:49:55brian.curtinsetnosy: + brian.curtin

messages: + msg97413
versions: + Python 2.6, - Python 2.5
2008-05-09 07:13:05hassosetfiles: + dragonfly-python24.patch
2008-05-09 07:07:57hassocreate